# TObj_DeletingMode.hxx File Reference

## Enumerations

enum | TObj_DeletingMode { TObj_FreeOnly = 0, TObj_KeepDepending, TObj_Forced }

## Enumeration Type Documentation

enum TObj_DeletingMode

Enumeration values:

  TObj_FreeOnly | Delete objects only without dependence.
  TObj_KeepDepending | Remove object if depending one will be correct elsewhere.
  TObj_Forced | Delete this object and all depenging object.